## org.hibernate.internal.jaxb.mapping.orm
Enum JaxbLockModeType

    java.lang.Object
      java.lang.Enum<JaxbLockModeType>
          org.hibernate.internal.jaxb.mapping.orm.JaxbLockModeType

All Implemented Interfaces:
  Serializable, Comparable<JaxbLockModeType>

    public enum JaxbLockModeType

extends Enum<JaxbLockModeType>

Java class for lock-mode-type.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="lock-mode-type">
       <restriction base="{http://www.w3.org/2001/XMLSchema}token">
         <enumeration value="READ"/>
         <enumeration value="WRITE"/>
         <enumeration value="OPTIMISTIC"/>
         <enumeration value="OPTIMISTIC_FORCE_INCREMENT"/>
         <enumeration value="PESSIMISTIC_READ"/>
         <enumeration value="PESSIMISTIC_WRITE"/>
         <enumeration value="PESSIMISTIC_FORCE_INCREMENT"/>
         <enumeration value="NONE"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`NONE`
`OPTIMISTIC`
`OPTIMISTIC_FORCE_INCREMENT`
`PESSIMISTIC_FORCE_INCREMENT`
`PESSIMISTIC_READ`
`PESSIMISTIC_WRITE`
`READ`
`WRITE`

Method Summary
`static JaxbLockModeType` `fromValue(String v)`
`String` `value()`
`static JaxbLockModeType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JaxbLockModeType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### READ

    public static final JaxbLockModeType READ

### WRITE

    public static final JaxbLockModeType WRITE

### OPTIMISTIC

    public static final JaxbLockModeType OPTIMISTIC

### OPTIMISTIC_FORCE_INCREMENT

    public static final JaxbLockModeType OPTIMISTIC_FORCE_INCREMENT

### PESSIMISTIC_READ

    public static final JaxbLockModeType PESSIMISTIC_READ

### PESSIMISTIC_WRITE

    public static final JaxbLockModeType PESSIMISTIC_WRITE

### PESSIMISTIC_FORCE_INCREMENT

    public static final JaxbLockModeType PESSIMISTIC_FORCE_INCREMENT

### NONE

    public static final JaxbLockModeType NONE

Method Detail

### values

    public static JaxbLockModeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JaxbLockModeType c : JaxbLockModeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JaxbLockModeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static JaxbLockModeType fromValue(String v)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.